
#    RunControl specific for AGATA Digitizer Project

namespace eval DataAcquisition {
     variable PROJECT; if {![info exists PROJECT]} {set PROJECT AGATADigitizer}
     variable ACQSERVERS; if {![info exists ACQSERVERS]} {set ACQSERVERS "undefined"}
     variable ACQSERVER; if {![info exists ACQSERVER]} {set ACQSERVER [first $ACQSERVERS]}
}

   set z [catch {package require RunControlServer} m]
   if {$z != 0} {puts "RunControl returned z=$z and $m"} else {puts "RunControl loaded"}

#    provides the following 

#   Appdo_Setup
#   Appdo_Stop
#   Appdo_Go
#   Appdo_Reset
#   Appdo_SetOption
#   Appdo_GetOption
#   Appdo_GetCounters
#   Appdo_GetRates
#   Appdo_GetState


   global env

     set f [file join $env(MIDASBASE) TclHttpd Html AGATADigitizer RunControl implementation.tcl]
     set env(ProjectRunControlImplementation) $f
     set z [catch {source $f} m]
     if {$z != 0} {puts "AGATA Digitizer RunControl returned z=$z and $m"} else {puts "AGATA Digitizer RunControl loaded"}

package provide AGATADigitizerRunControl 1.0
